using System;
using System.Diagnostics;

namespace System.Reactive.Concurrency
{
	internal class StopwatchImpl : IStopwatch
	{
		public StopwatchImpl()
		{
			this._sw = Stopwatch.StartNew();
		}

		public TimeSpan Elapsed
		{
			get
			{
				return this._sw.Elapsed;
			}
		}

		private readonly Stopwatch _sw;
	}
}
